import LocaleHelper from '../../Core/localization/LocaleHelper.js';
import '../../SchedulerPro/localization/De.js';

const locale = {

    localeName : 'De',
    localeDesc : 'Deutsch',
    localeCode : 'de-DE',

    Object : {
        Save : 'Speichern'
    },

    IgnoreResourceCalendarColumn : {
        'Ignore resource calendar' : 'Ressourcenkalender ignorieren'
    },

    InactiveColumn : {
        Inactive : 'Inaktiv'
    },

    AddNewColumn : {
        'New Column' : 'Neue Spalte'
    },

    CalendarColumn : {
        Calendar : 'Kalender'
    },

    EarlyStartDateColumn : {
        'Early Start' : 'Früher Start'
    },

    EarlyEndDateColumn : {
        'Early End' : 'Frühes Ende'
    },

    LateStartDateColumn : {
        'Late Start' : 'Später Start'
    },

    LateEndDateColumn : {
        'Late End' : 'Spätes Ende'
    },

    TotalSlackColumn : {
        'Total Slack' : 'Gesamtes Slack'
    },

    ConstraintDateColumn : {
        'Constraint Date' : 'Einschränkung Datum'
    },

    ConstraintTypeColumn : {
        'Constraint Type' : 'Einschränkung Typ'
    },

    DeadlineDateColumn : {
        Deadline : 'Deadline'
    },

    DependencyColumn : {
        'Invalid dependency' : 'Ungültige Abhängigkeit'
    },

    DurationColumn : {
        Duration : 'Dauer'
    },

    EffortColumn : {
        Effort : 'Effort'
    },

    EndDateColumn : {
        Finish : 'Beenden'
    },

    EventModeColumn : {
        'Event mode' : 'Ereignismodus',
        Manual       : 'Manuell',
        Auto         : 'Auto'
    },

    ManuallyScheduledColumn : {
        'Manually scheduled' : 'Manuell geplant'
    },

    MilestoneColumn : {
        Milestone : 'Meilenstein'
    },

    NameColumn : {
        Name : 'Name'
    },

    NoteColumn : {
        Note : 'Bemerkung'
    },

    PercentDoneColumn : {
        '% Done' : '% Erledigt'
    },

    PredecessorColumn : {
        Predecessors : 'Vorgänger'
    },

    ResourceAssignmentColumn : {
        'Assigned Resources' : 'Zugewiesene Ressourcen',
        'more resources'     : 'mehr Ressourcen'
    },

    RollupColumn : {
        Rollup : 'Hochgerollt'
    },

    SchedulingModeColumn : {
        'Scheduling Mode' : 'Planungsmodus'
    },

    SequenceColumn : {
        Sequence : 'Sequenz'
    },

    ShowInTimelineColumn : {
        'Show in timeline' : 'In der Chronik anzeigen'
    },

    StartDateColumn : {
        Start : 'Start'
    },

    SuccessorColumn : {
        Successors : 'Nachfolger'
    },

    TaskCopyPaste : {
        copyTask  : 'Kopieren',
        cutTask   : 'Ausschneiden',
        pasteTask : 'Einfügen'
    },

    WBSColumn : {
        WBS      : 'Projektstrukturplan',
        renumber : 'Erneut nummerieren'
    },

    DependencyField : {
        invalidDependencyFormat : 'Ungültiges Abhängigkeitsformat'
    },

    ProjectLines : {
        'Project Start' : 'Projektstart',
        'Project End'   : 'Projektende'
    },

    TaskTooltip : {
        Start    : 'Start',
        End      : 'Ende',
        Duration : 'Dauer',
        Complete : 'Vollständig'
    },

    AssignmentGrid : {
        Name     : 'Ressourcenname',
        Units    : 'Einheiten',
        unitsTpl : ({ value }) => value ? value + '%' : ''
    },

    Gantt : {
        Edit                   : 'Bearbeiten',
        Indent                 : 'Einrücken',
        Outdent                : 'Ausrücken',
        'Convert to milestone' : 'Zu Meilenstein konvertieren',
        Add                    : 'Hinzufügen...',
        'New task'             : 'Neue Aufgabe',
        'New milestone'        : 'Neuer Meilenstein',
        'Task above'           : 'Aufgabe oben',
        'Task below'           : 'Aufgabe unten',
        'Delete task'          : 'Löschen',
        Milestone              : 'Meilenstein',
        'Sub-task'             : 'Unteraufgabe',
        Successor              : 'Nachfolger',
        Predecessor            : 'Vorgänger ',
        changeRejected         : 'Zeitplanungsmodul lehnte die Änderungen ab',
        linkTasks              : 'Abhängigkeiten hinzufügen',
        unlinkTasks            : 'Abhängigkeiten entfernen'
    },

    EventSegments : {
        splitTask : 'Aufgabe aufteilen'
    },

    Indicators : {
        earlyDates   : 'Früher/s Start/Ende',
        lateDates    : 'Später/s Start/Ende',
        Start        : 'Start',
        End          : 'Ende',
        deadlineDate : 'Deadline'
    },

    Versions : {
        indented     : 'Eingerückt',
        outdented    : 'Ausgestellt',
        cut          : 'Ausgeschnitten',
        pasted       : 'Kopieren',
        deletedTasks : 'Gelöschte Aufgaben'
    }
};

export default LocaleHelper.publishLocale(locale);
